Subject: bug#67263: closed ([PATCH 0/8] adding nats-server package)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 08 Feb 2024 21:56:02 +0000

Your bug report

#67263: [PATCH 0/8] adding nats-server package

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67263: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67263
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: [PATCH 0/8] adding nats-server package
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Date: Thu, 08 Feb 2024 21:55:18 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Benjamin,

Your patches are finally reviewed, merged, sorted by golang-*.scm
modules and updated to the latest versions. I've slightly adjust some of
the to resolve lint warnings. nats-server is placed to high-availability
module next to nsq.

Looking foward for service(s) now =)

Pushed as ff61ca41d9..2d084f23a2 to master.

Regards,
Oleg

Subject: [PATCH 0/8] adding nats-server package
From: Benjamin <[email-masked]>
To: [email-masked]
Cc: Benjamin <[email-masked]>
Date: Sat, 18 Nov 2023 19:14:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Here is a series of patch that is adding nats-server.
Nats [0] is a nice implementation in go of a message broker that is
memory efficient, really fast and also quite easy to package.

For now, I only added the server part. I am working on the command line
client but it is much more complicated to package (because of the number
of dependencies to add). I will add it in the future.

I added the nats-server in messaging.scm because I saw another message
broker there. The other possible location would be in golang.scm.

Best

Benjamin

[0] https://nats.io/

Benjamin (8):
  gnu: Add go-github-com-minio-highwayhash.
  gnu: Add go-github-com-prashantv-gostub.
  gnu: Add go-go-uber-org-automaxprocs.
  gnu: Add go-github-com-nats-io-nuid.
  gnu: Add go-github-com-nats-io-nkeys.
  gnu: Add go-github-com-nats-io-jwt-v2.
  gnu: Add go-github-com-nats-io-nats-go.
  gnu: Add nats-server.

 gnu/packages/golang-check.scm |  24 ++++++
 gnu/packages/golang.scm       | 148 ++++++++++++++++++++++++++++++++++
 gnu/packages/messaging.scm    |  32 ++++++++
 3 files changed, 204 insertions(+)

base-commit: 2ab5e449246f98b049888dde3c310f5b4a0a64a2
-- 
2.41.0